Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "d0d077a9-2544-441a-887d-af7c514bb4a6",
"user_id": "258f587d-e665-4798-9e3b-246faafddee2",
"user_planning_slot_type_id": "44b60bbc-4e74-473a-a1f2-5935115202b0",
"date_from": "2026-10-24T07:14:40.5452188+00:00",
"date_to": "2026-10-24T07:14:40.5452188+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-24T07:14:40.5452188+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.